### Method

# FwupdPlugin Context get_esp_volume_by_hard_drive_device_path

#### Declaration [src]

    FuVolume*
    fu_context_get_esp_volume_by_hard_drive_device_path (
      FuContext* self,
      FuEfiHardDriveDevicePath* dp,
      GError** error
    )

#### Description [src]

Gets a volume that matches the EFI device path.

Available since: | 2.0.0

#### Parameters

`dp` | `FuEfiHardDriveDevicePath`
| A `FuEfiHardDriveDevicePath`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuVolume`
| A volume, or `NULL` if it was not found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.